# FLP_Printf Class Reference

Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF. More...

`#include <FileList.h>`

Inheritance diagram for FLP_Printf:

List of all members.

## Public Member Functions
virtual void | OnAddFilesFromDirectoryStarted (FileList *fileList, char *dir)
| First callback called when FileList::AddFilesFromDirectory() starts.
virtual void | OnDirectory (FileList *fileList, char *dir, unsigned int directoriesRemaining)
| Called for each directory, when that directory begins processing.

## Detailed Description

Implementation of FileListProgress to use RAKNET_DEBUG_PRINTF.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/FileList.h